Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.virtual.plugins.vfs.helpers
Class AbstractVirtualFileFilterWithAttributes

    java.lang.Object
      org.jboss.virtual.plugins.vfs.helpers.AbstractVirtualFileFilterWithAttributes

All Implemented Interfaces:
  VirtualFileFilter, VirtualFileFilterWithAttributes

Direct Known Subclasses:
  SuffixMatchFilter

    public abstract class AbstractVirtualFileFilterWithAttributes

extends java.lang.Object
implements VirtualFileFilterWithAttributes

AbstractVirtualFileFilterWithAttributes

Version:
  $Revision: 44223 $
Author:
  adrian@jboss.org

Constructor Summary
`AbstractVirtualFileFilterWithAttributes()` Create a new AbstractVirtualFileFilterWithAttributes, using `VisitorAttributes.DEFAULT`
`AbstractVirtualFileFilterWithAttributes(VisitorAttributes attributes)` Create a new AbstractVirtualFileFilterWithAttributes.

Method Summary
`VisitorAttributes` | `getAttributes()` Get the attributes for this filter

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.virtual.VirtualFileFilter
`accepts`

Constructor Detail

### AbstractVirtualFileFilterWithAttributes

    public AbstractVirtualFileFilterWithAttributes()

  Create a new AbstractVirtualFileFilterWithAttributes, using `VisitorAttributes.DEFAULT`

### AbstractVirtualFileFilterWithAttributes

    public AbstractVirtualFileFilterWithAttributes(VisitorAttributes attributes)

  Create a new AbstractVirtualFileFilterWithAttributes.

  Parameters:
    `attributes` - the attributes, pass null to use `VisitorAttributes.DEFAULT`

Method Detail

### getAttributes

    public VisitorAttributes getAttributes()

  Description copied from interface: `VirtualFileFilterWithAttributes`
  Get the attributes for this filter

  Specified by:
    `getAttributes` in interface `VirtualFileFilterWithAttributes`
  Returns:
    the attributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD